#![deny(clippy::all)]
#![warn(clippy::pedantic, clippy::nursery)]

mod balance;
mod cli;
mod credit;
mod debit;

use anyhow::Result;

use self::cli::Mode;

fn main() -> Result<()> {
    let args = cli::args()?;

    match args.mode {
        Mode::ListCredit => credit::print(args.gleeo.unwrap(), args.color),
        Mode::ListDebit => debit::print(args.sqlite.unwrap(), args.color),
        Mode::Balance => {
            balance::run(args.gleeo.unwrap(), args.sqlite.unwrap(), args.color)
        }
    }
}
